var xenAdminMain = angular.module('xenAdminMain', ['ngSanitize']);

xenAdminMain.controller('mainAdminCtrl', ['$scope', '$http', '$timeout', '$window', '$filter',  function ($scope, $http, $timeout, $window, $filter) {
    
    $scope.startApp = function () {
        $scope.btnAttivaLbl = xenion_trad.__attivaIlTuoXenion;
        $scope.btnAttivaIcon=0;

        $scope.nomeazienda = "";
        $scope.nomecliente = "";
        $scope.mail = "";
        $scope.terzolivello = "";
        
        $scope.xenionattivato = 0;
    };
    
    $scope.attivaXenion = function () {
        $scope.messageerror = "";
        
        $scope.nomeazienda = $scope.nomeazienda.trim();
        $scope.nomecliente = $scope.nomecliente.trim();
        $scope.mail = $scope.mail.trim();
        $scope.terzolivello = $scope.terzolivello.trim();
        
        $scope.reqproject = "xenion";
        
        if ($scope.nomeazienda=='' || $scope.nomecliente=='' || $scope.mail=='' || $scope.terzolivello=='' || $scope.reqproject=='') {
            $scope.messageerror = xenion_trad.__AttenzioneTuttiICampiSonoObbligatori;
            return;
        };
        
        if ($scope.btnAttivaIcon==1) return;
        $scope.btnAttivaLbl = xenion_trad.__Attendere + "...";
        $scope.btnAttivaIcon=1;
        
        var _url = 'https://my.merkurio.it/install/vericadominiolibero.php?reqproject=' + $scope.reqproject + '&terzolivello=' + $scope.terzolivello;
        
        $http.get(_url).then(function(resp){
            if (resp.data.used > 0) {
                $scope.messageerror = xenion_trad.__AttenzioneLIndirizzo + " 'https:\\\\my.xenion.it\\" + $scope.terzolivello + "' " + xenion_trad.__EGiaInUso;
                $scope.messageerror += xenion_trad.__ProvaACambiarloEPremiNuovamenteIlPulsantediAttivazione;
                $scope.btnAttivaLbl = xenion_trad.__attivaIlTuoXenion;
                $scope.btnAttivaIcon=0;
                return;
            } else {
                var _url = 'https://my.merkurio.it/install/createnewapplication2.php' +
                           '?nomeazienda=' + $scope.nomeazienda +
                           '&nomecliente=' + $scope.nomecliente +
                           '&reqproject=' + $scope.reqproject +
                           '&mail=' + $scope.mail +
                           '&terzolivello=' + $scope.terzolivello +
                           '&idwordpress=' + __idwordpress;

                $http.get(_url).then(function(resp){
                    $scope.xenionattivato = 1;
                });
            }
        })
    };
    
    $scope.procedi = function() {
        location.reload();
    };
    
    $scope.onTerzolivello = function() {
        $scope.terzolivello = $scope.terzolivello.toLowerCase();
        $scope.terzolivello = $scope.terzolivello.replace(/[^a-z0-9]/gi,'');
        $scope.terzolivello = $scope.terzolivello.trim();
    };

    $scope.leggiConfigurazioni = function() {
        $scope.urlServerXenion = "";
        $scope.jsonConfigXenion = "";
        
        $http.get("https://my.merkurio.it/nb/my/mymodules/nightlybuild/services/readopen/nightlybuild?Idwordpress="+__idwordpress).then(function(resp) {
            $scope.urlServerXenion = resp.data;
            
            var _url = $scope.urlServerXenion + "/pacifik/client/modules/hotels/services/readopen/configbookeng?id=1&language=all";
            $http.get(_url).then(function(resp) {
                
                //var pippo = {};
                //pippo.ciao = 1;
                
                var _json = resp.data;
                
                for(lang in _json) {
                    delete _json[lang].Htmlboxstepsearch;
                    delete _json[lang].Infoprivacy;
                    delete _json[lang].Mailconferma;

                    for (i in _json[lang].Tipologie) {
                        delete _json[lang].Tipologie[i].Caparrarange;
                    }
                }
                
                $scope.jsonConfigXenion = JSON.stringify(_json);
            })
        })
    }
    
    $scope.salvaConfigurazioni = function() {
        var data = {
            'action': 'salvaConfigurazioni',
            'urlServerXenion': $scope.urlServerXenion,
            'jsonConfigXenion':   $scope.jsonConfigXenion
        };

        jQuery.post(ajaxurl, data, function (data) {
            alert ("Salvataggio avvenuto con successo, il tuo Xenion è pronto per essere utilizzato");
            var resp = JSON.parse(data);
            if (resp.status == "ok") {
                window.location.href = resp.urlFile;
            }
        })
    }
    
    $scope.startApp();
}]);


var xenMain = angular.module('xenMain', ['mgcrea.ngStrap', 'cmsTran']);

xenMain.controller('mainCtrl', ['$scope', '$http', '$timeout', '$window', '$filter',  function ($scope, $http, $timeout, $window, $filter) {
    
    $scope.startApp = function () {
        $scope.today = new Date();
        $scope.today.setDate($scope.today.getDate()-1);
        $scope.today = $filter('date')($scope.today, 'yyyy-MM-dd');
    };

    $scope.changeDate = function () {
        if ( ($scope.prenotazione.dataDa != undefined && $scope.prenotazione.dataAl == undefined) ||
             ($scope.prenotazione.dataDa != undefined && $scope.prenotazione.dataAl != undefined && 
              $scope.prenotazione.dataDa.getTime()>=$scope.prenotazione.dataAl.getTime() ) 
           ) {
            $scope.prenotazione.dataAl = angular.copy($scope.prenotazione.dataDa);
            $scope.prenotazione.dataAl.setDate($scope.prenotazione.dataAl.getDate()+1);
        };
        
        if ($scope.prenotazione.dataDa != undefined && $scope.prenotazione.dataAl != undefined) {
            if ($scope.prenotazione.dataDa.getTime() > $scope.prenotazione.dataAl.getTime()) {
                $scope.prenotazione.dataAl = undefined;
                $scope.prenotazione.dateOK = undefined;
                return;
            };
            $scope.prenotazione.dateOK = true;
        } else {    
            $scope.prenotazione.dateOK = undefined;
        }
    };
    
    $scope.focus = function (mess) {
        $scope.elementwithfocus = mess;
    };
    
    $scope.startSearch = function () {
        var _url = __urlXenion;
        _url += "/paginaprenotazione?lang=" + __lang;
        
        _url += "&idstructure=" + __idstructureXenion;
        _url += "&datada=" + $filter('date')($scope.prenotazione.dataDa, 'yyyy-MM-dd');
        _url += "&dataal=" + $filter('date')($scope.prenotazione.dataAl, 'yyyy-MM-dd');
        
        if ( $scope.prenotazione.idmacrotipologiaall != undefined &&
             $scope.prenotazione.idmacrotipologiaall > 0 ) {
            _url += "&idmacrotipologiaall=" + $scope.prenotazione.idmacrotipologiaall;
        };
        
        if ( $scope.prenotazione.numAdulti != undefined &&
             $scope.prenotazione.numAdulti > 0 ) {
            _url += "&numadulti=" + $scope.prenotazione.numAdulti;
        };
        
        if ( $scope.prenotazione.numBambini != undefined &&
             $scope.prenotazione.numBambini > 0 ) {
            _url += "&numbambini=" + $scope.prenotazione.numBambini;
        };
        
        $window.open(_url, '_blank');
    };
    
    $scope.startApp();
}]);

xenMain.config(['$translateProvider', function ($translateProvider) {
    $translateProvider.preferredLanguage(__lang);
}]);

xenMain.config(function($datepickerProvider) {
    var _config = {
        dateFormat: 'dd/MM/yyyy',
        startWeek: 1,
        autoclose: true,
        placement: __directionDatepicker
    };
    if (__testDatePk == 1) {
            _config.trigger = 'click';
    };
    angular.extend($datepickerProvider.defaults, _config);
});
